edu.sc.seis.sod.process.waveform

## Class WaveformResult

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.WaveformResult

-     public class WaveformResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, java.lang.Object actor)`
    `WaveformResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, java.lang.Object actor, java.lang.String reason)`
    `WaveformResult(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, StringTree reason)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `getReason()`
    `edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[]` | `getSeismograms()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformResult

          public WaveformResult(boolean success,
                                edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                java.lang.Object actor)

    - #### WaveformResult

          public WaveformResult(boolean success,
                                edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                java.lang.Object actor,
                                java.lang.String reason)

    - #### WaveformResult

          public WaveformResult(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                StringTree reason)

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

    - #### getSeismograms

          public edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] getSeismograms()

    - #### getReason

          public StringTree getReason()